summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2024-01-17 19:31:45 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2024-01-17 19:31:45 +0100
commit6eacd00ca052663aa1e3fdd6378990618b0db69a (patch)
treecc1c6f8893cc7f892257387bd0d42c984bcd82be /scripts
parentf590e7e918469cd1e8472c5c1eca1f6345b39510 (diff)
add zstd support for Linux kernel compression
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/prereq.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/prereq.sh b/scripts/prereq.sh
index b1f28d45e..d3f4eaa4e 100755
--- a/scripts/prereq.sh
+++ b/scripts/prereq.sh
@@ -651,6 +651,11 @@ if ! which lzma >/dev/null 2>&1; then
host_build_lzma=1
fi
+host_build_zstd=0
+if ! which zstd >/dev/null 2>&1; then
+ host_build_zstd=1
+fi
+
host_build_lz4=0
if ! which lz4c >/dev/null 2>&1; then
host_build_lz4=1
@@ -741,6 +746,9 @@ fi
if [ $host_build_lzma -eq 1 ]; then
printf "\t%s\n" "select ADK_HOST_BUILD_LZMA if ADK_HOST_NEED_LZMA" >> $topdir/target/config/Config.in.prereq
fi
+if [ $host_build_zstd -eq 1 ]; then
+ printf "\t%s\n" "select ADK_HOST_BUILD_ZSTD if ADK_HOST_NEED_ZSTD" >> $topdir/target/config/Config.in.prereq
+fi
if [ $host_build_lz4 -eq 1 ]; then
printf "\t%s\n" "select ADK_HOST_BUILD_LZ4 if ADK_HOST_NEED_LZ4" >> $topdir/target/config/Config.in.prereq
fi